#include "stm32f10x.h"
#include "stm32f10x_usart.h"

#define HOTT_TEXT_MODE_REQUEST_ID	0x7f
#define HOTT_BINARY_MODE_REQUEST_ID	0x80
//Sensor Ids
//Graupner #33611 General Air Module
#define HOTT_TELEMETRY_GAM_SENSOR_ID	0x8d
//Graupner #33600 GPS Module
#define HOTT_TELEMETRY_GPS_SENSOR_ID	0x8a
//Graupner #33620 Electric Air Module
#define HOTT_TELEMETRY_EAM_SENSOR_ID	0x8e
//Graupner #33601 Vario Module
#define HOTT_TELEMETRY_VARIO_SENSOR_ID	0x89

#define HOTTV4_ELECTRICAL_AIR_SENSOR_ID 0xE0 // Electric Air Sensor ID
#define HOTTV4_ELECTRICAL_AIR_MODULE 0x8E // Electric Air Module ID


//ALARMS
#define ALARM_NONE 0x00
#define ALARM_MIN_SPEED 0x01
#define ALARM_MAX_DISTANCE 0x04
#define ALARM_SIMPLE_BEEP 0x05
#define ALARM_MIN_TEMP1 0x06
#define ALARM_MIN_TEMP2 0x07
#define ALARM_HIGH_TEMP1 0x08
#define ALARM_HIGH_TEMP2 0x09
#define ALARM_HIGH_VOLTAGE1 0x0a
#define ALARM_HIGH_VOLTAGE2 0x0b
#define ALARM_MAX_SPEED 0x0c
#define ALARM_LOW_VOLTAGE 0x10
#define ALARM_LOW_CELL_VOLTAGE 0x11
#define ALARM_LOW_VOLTAGE_SENSOR1 0x12
#define ALARM_LOW_VOLTAGE_SENSOR2 0x13
#define ALARM_LOW_RPM 0x14
#define ALARM_LOW_FUEL 0x15
#define ALARM_LOW_CAPACITY 0x16
#define ALARM_HIGH_CURRENT 0x17
#define ALARM_HIGH_VOLTAGE 0x18
#define ALARM_HIGH_RPM 0x19
#define ALARM_MAX_HIGHT 0x1a


volatile uint8_t _hott_serial_buffer[44];

//Init HOTT Buffer
void init_HOTT_Buffer(void);

//void Update HOTT Buffer
void Update_HOTT_Buffer(void);

//Transmit HOTT Buffer
void Transmitt_HOTT_Buffer();
